Jump to content
  • 0
XSV_SOLJA

my ET jaymod server

Question

Hi, I only just started playing ET but its an awsome game and I would like to introduce it to my LANing friends. I tried making a jaymod server but as it starts loading the map it gives this error..

 

http://www.mediafire...a5tifuafac4nbm6

 

I dont want any configs or anything, I will be happy to do that myself, I just need help to get the server running, TIA.

Share this post


Link to post
Share on other sites

9 answers to this question

Recommended Posts

  • 0

Hmm that is some strange error, never had that when I was homehosting :&

I'm sure Dare will see this soon and he'll help you out ;)

Share this post


Link to post
Share on other sites
  • 0

Thanks, the only problem with purchasing a server is that im on the wrong continent and I would lag on my own server..

I just want it for my LAN friends, we have about 20 people that LAN every month or two

Share this post


Link to post
Share on other sites
  • 0

I could guess that you are trying to play jaymod on an etmain server, or something like that. Maybe if I could see your log... can you please tell us some more details?

- os (windows, linux)

- et version, and if you are running et or etded to make the server (don't make servers with et, at least for etpro you need etded, and I think for other mods as well)

- are you trying to make a server using the same et installation / jaymod folder you play with?

 

What do you have inside your jaymod folder? qagame is the .dll /.so needed for the server, cgame and ui are client, make sure that you are running the proper ones, otherwise the game runs etmain, and you will have problems.

 

you need:

- the .pk3 for your jaymod version (other versions pk3s could cause conflict)

- the correct .dll (win) or .so (linux) for the server, it must be the right version. without qagame in your jaymod folder you can't make a jaymod server.

Share this post


Link to post
Share on other sites
  • 0

windows 7 64bit

et version is 2.6b with et starter pro (the Fearless Assassin version)

I just go into et normally and select mods, jaymod, and try start a server, I cant find qagame.dll

 

Hmm seems i dont have the right files, going to try get a fresh download of jaymod and see if that helps

Share this post


Link to post
Share on other sites
  • 0

1. Download jaymod files.

 

2. Install new ET under different folder.

 

3. After 2.55 installation, patch to 2.6 and then to 2.6b.

 

4. Create new folder called jaymod

 

5. Put downloaded jaymod files in it i.e. jaymod pk3 and server qagame_mp_x86.dll

 

6. Start ETDED.exe from command line with parameters:

+set dedicated 2 +set net_port 27960 +set fs_game jaymod +set com_hunkmegs 256 +set sv_punkbuster 0 +exec server.cfg

 

If you need any help related to server config feel free to ask questions.

Share this post


Link to post
Share on other sites
  • 0

2. Install new ET under different folder.

I admit I didn't try it in lan with different et installations, so I'm just speculating :D but, why is it necessary to install a new et? What would be the problem, the 'pure server' check and related pk3 downloads?

Or it's possible to just change things like fs_homepath / fs_basepath to point to another folder of the same installation?

 

windows 7 64bit

et version is 2.6b with et starter pro (the Fearless Assassin version)

I just go into et normally and select mods, jaymod, and try start a server, I cant find qagame.dll

 

Hmm seems i dont have the right files, going to try get a fresh download of jaymod and see if that helps

You need to download the complete jaymod with the server files (qagame). Plus, you need to make a server with etded.exe as Daredevil said, (it will open a console window with the server) then open et again, and connect to your own server (it should be localhost:27960 for you, (your-lan-ip):27960 for them).

 

Making a server from the main menu is not the correct way, because it 'breaks' some things in the engine, maybe because of the frame rate I don't know exactly, but some things are broken, like weapon spread.

Share this post


Link to post
Share on other sites
  • 0

I admit I didn't try it in lan with different et installations, so I'm just speculating :D but, why is it necessary to install a new et? What would be the problem, the 'pure server' check and related pk3 downloads?

Or it's possible to just change things like fs_homepath / fs_basepath to point to another folder of the same installation?

 

Yup, pk3 and pure server check related problems. In his gaming installation he will have tons of pk3 in etmain and his jaymod folder have many too. Sometimes user mess up there gaming installation folder in order to run server.

 

It's better to have separate installation if someone is learner.

Share this post


Link to post
Share on other sites
  • 0

okay I got ther server working, thats awesome! Still a few tweaks but at least its playable, thanks a lot guys!! :yahoo

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


×